Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981277 - Dependency chain brings in X11
Summary: Dependency chain brings in X11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-Server
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-04 11:08 UTC by Eduard Kohler
Modified: 2015-04-08 06:21 UTC (History)
4 users (show)

Fixed In Version: perl-Net-Server-2.007-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-02 22:11:57 UTC


Attachments (Terms of Use)

Description Eduard Kohler 2013-07-04 11:08:13 UTC
Description of problem:

Starting with version 2.xx perl-Net-Server requires perl(Log::Log4perl) which brings in X11.

Version-Release number of selected component (if applicable):
perl-Net-Server-2.006-1

How reproducible:
Always

Steps to Reproduce:
1. Upgrade from f17
2.
3.

Additional info:

As this component may be used from mail servers (through postgrey component), it seems to me overkill to expect graphical libraries.

Comment 1 Petr Pisar 2013-07-04 12:24:48 UTC
perl-Net-Server → perl(Log::Log4perl) → perl(RRDs) → rrdtool → libcairo.so.2()(64bit) → libX11.so.6()(64bit).

Comment 2 Paul Howarth 2013-07-04 13:34:35 UTC
Updating to the current upstream release 2.007 should resolve this, as the Log::Log4perl dependency is pulled in in such a way that rpm won't find it (i.e. it becomes optional, as upstream intended).

A rawhide build will also need the patch I attached to https://rt.cpan.org/Public/Bug/Display.html?id=86707 as IO::Socket::SSL is now trying to verify server certificates by default, which affects Net::Server's test suite.

Comment 3 Petr Pisar 2013-07-04 13:56:15 UTC
I've been thinking long time to sub-package the Log::Log4perl::Appender::RRDs from perl-Log-Log4perl because of this reason. I guess it will not affect much users.

Comment 4 Eduard Kohler 2013-07-04 15:24:36 UTC
Well, Log::Log4perl adds, to my system at least, about 67 dependent packages. A large chunk being other perl modules. The whole overhead in term of size is about 22MB, which is not huge, but so many "unneeded" packages just beg for future problems.

Comment 5 Kevin Fenzi 2013-07-05 21:21:24 UTC
Just bumping to 2.007 and applying the ssl fix, I still get a failed build: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=5578298

I can poke at it more later, or if anyone else wants to just update rawhide/f19, feel free.

Comment 6 Paul Howarth 2013-07-24 10:58:55 UTC
Curious. A scratch build of my local perl-Net-Server package succeeded:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5650875

I'll see if I can figure out the difference.

Comment 7 Fedora Update System 2013-07-24 11:45:02 UTC
perl-Net-Server-2.007-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Net-Server-2.007-1.fc19

Comment 8 Fedora Update System 2013-07-25 00:43:42 UTC
Package perl-Net-Server-2.007-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Net-Server-2.007-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13560/perl-Net-Server-2.007-1.fc19
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-08-02 22:11:57 UTC
perl-Net-Server-2.007-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Petr Pisar 2015-04-08 06:21:32 UTC
I sub-packaged the RRD back-end from perl-Log-Log4perl in 1.46-2.fc23 release.


Note You need to log in before you can comment on or make changes to this bug.